<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
	xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:id="@+id/container"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:paddingBottom="@dimen/activity_vertical_margin"
	android:paddingTop="@dimen/activity_vertical_margin"
	android:orientation="vertical"
	tools:context="com.castlabs.sdk.downloads.MainActivity">

	<androidx.cardview.widget.CardView
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:layout_margin="5dp">

		<androidx.constraintlayout.widget.ConstraintLayout
			android:layout_width="match_parent"
			android:layout_height="match_parent">

			<TextView
				android:id="@+id/title"
				android:layout_width="386dp"
				android:layout_height="wrap_content"
				android:layout_marginStart="8dp"
				android:layout_marginTop="8dp"
				android:text="Download Configuration"
				android:textColor="@android:color/black"
				android:textSize="18sp"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintTop_toTopOf="parent"/>

			<TextView
				android:id="@+id/video_label"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_marginStart="16dp"
				android:layout_marginTop="24dp"
				android:text="Video"
				android:textColor="@android:color/black"
				android:textSize="16sp"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintTop_toBottomOf="@+id/title"/>

			<Spinner
				android:id="@+id/video_selection"
				style="@style/Widget.AppCompat.Spinner.Underlined"
				android:layout_width="0dp"
				android:layout_height="wrap_content"
				android:layout_marginEnd="16dp"
				android:layout_marginStart="8dp"
				android:entries="@array/video_quality_selection"
				app:layout_constraintBaseline_toBaselineOf="@+id/video_label"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintHorizontal_bias="0.0"
				app:layout_constraintStart_toEndOf="@+id/video_label"/>

			<TextView
				android:id="@+id/audio_label"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_marginStart="16dp"
				android:layout_marginTop="24dp"
				android:text="Audio"
				android:textColor="@android:color/black"
				android:textSize="16sp"
				app:layout_constraintEnd_toStartOf="@+id/audio_selection"
				app:layout_constraintHorizontal_bias="0.5"
				app:layout_constraintStart_toStartOf="parent"
				app:layout_constraintTop_toBottomOf="@+id/video_selection"/>

			<Spinner
				android:id="@+id/audio_selection"
				style="@style/Widget.AppCompat.Spinner.Underlined"
				android:layout_width="0dp"
				android:layout_height="wrap_content"
				android:layout_marginStart="8dp"
				android:entries="@array/language_selection"
				app:layout_constraintBaseline_toBaselineOf="@+id/audio_label"
				app:layout_constraintEnd_toStartOf="@+id/text_label"
				app:layout_constraintHorizontal_bias="0.5"
				app:layout_constraintStart_toEndOf="@+id/audio_label"/>

			<TextView
				android:id="@+id/text_label"
				android:layout_width="wrap_content"
				android:layout_height="wrap_content"
				android:layout_marginStart="8dp"
				android:text="Text"
				android:textColor="@android:color/black"
				android:textSize="16sp"
				app:layout_constraintBaseline_toBaselineOf="@+id/audio_label"
				app:layout_constraintEnd_toStartOf="@+id/text_selection"
				app:layout_constraintHorizontal_bias="0.5"
				app:layout_constraintStart_toEndOf="@+id/audio_selection"/>

			<Spinner
				android:id="@+id/text_selection"
				style="@style/Widget.AppCompat.Spinner.Underlined"
				android:layout_width="0dp"
				android:layout_height="wrap_content"
				android:layout_marginEnd="16dp"
				android:layout_marginStart="8dp"
				android:entries="@array/language_selection"
				app:layout_constraintBaseline_toBaselineOf="@+id/text_label"
				app:layout_constraintEnd_toEndOf="parent"
				app:layout_constraintHorizontal_bias="0.5"
				app:layout_constraintStart_toEndOf="@+id/text_label"/>


		</androidx.constraintlayout.widget.ConstraintLayout>
	</androidx.cardview.widget.CardView>


	<androidx.recyclerview.widget.RecyclerView
		android:id="@+id/list"
		android:layout_width="match_parent"
		android:layout_height="match_parent">
	</androidx.recyclerview.widget.RecyclerView>
</LinearLayout>
